<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Subkriteria extends Model
{
    protected $fillable = [
        'kriteria_id',
        'pertanyaan',
    ];

    public function kriteria()
    {
        return $this->belongsTo(Kriteria::class);
    }

    public function opsisubkriterias()
    {
        return $this->hasMany(Opsisubkriteria::class);
    }

    public function jawabankuis()
    {
        return $this->hasMany(JawabanKuis::class);
    }

    public function detailsaw()
    {
    return $this->hasMany(DetailSaw::class);
    }
    
}
